> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paradex.trade/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server.

# API

### Public Endpoints

| Endpoint           | Rate Limit | Per        |
| ------------------ | ---------- | ---------- |
| Default            | 1500 req/m | IP address |
| `POST /onboarding` | 600 req/m  | IP address |
| `POST /auth`       | 600 req/m  | IP address |

### Private Endpoints

| Endpoint                    | Rate Limit               | Per     |
| --------------------------- | ------------------------ | ------- |
| `POST, DELETE, PUT /orders` | 800 req/s OR 17250 req/m | Account |
| `GET /*`                    | 120 req/s OR 600 req/m   | Account |

> **Note**
>
> Private endpoint rate limits are applied per account, but are also subject to an
> **additional IP-based rate limit of 1500 req/m** across all accounts from the same IP address.